Continuus (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.ccm, class: Continuus

Package org.apache.tools.ant.taskdefs.optional.ccm

# Class Continuus

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.ccm.Continuus

All Implemented Interfaces:
  `java.lang.Cloneable`

Direct Known Subclasses:
  `CCMCheck`, `CCMCreateTask`, `CCMReconfigure`

    public abstract class Continuus
    extends Task

A base class for creating tasks for executing commands on Continuus 5.1.

The class extends the task as it operates by executing the ccm.exe program supplied with Continuus/Synergy. By default the task expects the ccm executable to be in the path, you can override this be specifying the ccmdir attribute.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `COMMAND_CHECKIN` | The 'Checkin' command
  `static java.lang.String` | `COMMAND_CHECKOUT` | The 'Checkout' command
  `static java.lang.String` | `COMMAND_CREATE_TASK` | The 'CreateTask' command
  `static java.lang.String` | `COMMAND_DEFAULT_TASK` | The 'Reconfigure' command
  `static java.lang.String` | `COMMAND_RECONFIGURE` | The 'Reconfigure' command

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Continuus()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getCcmAction()` | Get the value of ccmAction.
  `protected java.lang.String` | `getCcmCommand()` | Builds and returns the command string to execute ccm
  `protected int` | `run​(Commandline cmd)` | Run the command.
  `protected int` | `run​(Commandline cmd, ExecuteStreamHandler handler)` | Run the command.
  `void` | `setCcmAction​(java.lang.String v)` | Set the value of ccmAction.
  `void` | `setCcmDir​(java.lang.String dir)` | Set the directory where the ccm executable is located.

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMMAND_CREATE_TASK

    public static final java.lang.String COMMAND_CREATE_TASK
    The 'CreateTask' command
    See Also:
      Constant Field Values

  - ### COMMAND_CHECKOUT

    public static final java.lang.String COMMAND_CHECKOUT
    The 'Checkout' command
    See Also:
      Constant Field Values

  - ### COMMAND_CHECKIN

    public static final java.lang.String COMMAND_CHECKIN
    The 'Checkin' command
    See Also:
      Constant Field Values

  - ### COMMAND_RECONFIGURE

    public static final java.lang.String COMMAND_RECONFIGURE
    The 'Reconfigure' command
    See Also:
      Constant Field Values

  - ### COMMAND_DEFAULT_TASK

    public static final java.lang.String COMMAND_DEFAULT_TASK
    The 'Reconfigure' command
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Continuus

    public Continuus()

- ## Method Details

  - ### getCcmAction

    public java.lang.String getCcmAction()
    Get the value of ccmAction.
    Returns:
      value of ccmAction.

  - ### setCcmAction

    public void setCcmAction​(java.lang.String v)
    Set the value of ccmAction.
    Parameters:
      `v` - Value to assign to ccmAction.

  - ### setCcmDir

    public final void setCcmDir​(java.lang.String dir)
    Set the directory where the ccm executable is located.
    Parameters:
      `dir` - the directory containing the ccm executable

  - ### getCcmCommand

    protected final java.lang.String getCcmCommand()
    Builds and returns the command string to execute ccm
    Returns:
      String containing path to the executable

  - ### run

    protected int run​(Commandline cmd, ExecuteStreamHandler handler)
    Run the command.
    Parameters:
      `cmd` - the command line
      `handler` - an execute stream handler
    Returns:
      the exit status of the command

  - ### run

    protected int run​(Commandline cmd)
    Run the command.
    Parameters:
      `cmd` - the command line
    Returns:
      the exit status of the command